--- old/usr/src/lib/libm/common/LD/__sincosl.c	2014-05-04 03:05:14.305532492 +0200
+++ new/usr/src/lib/libm/common/LD/__sincosl.c	2014-05-04 03:05:14.337053144 +0200
@@ -97,10 +97,10 @@
 	int i, j, hx, ix;
 
 	t = 1.0;
-#if defined(_BIG_ENDIAN)
-	hx = px[0];
-#else
+#if defined(__i386) || defined(__amd64)
 	XTOI(px, hx);
+#else
+	hx = px[0];
 #endif
 	ix = hx & 0x7fffffff;
 	if (ix < 0x3ffc4000) {
@@ -128,10 +128,10 @@
 	}
 	j = (ix + 0x400) & 0x7ffff800;
 	i = (j - 0x3ffc4000) >> 11;
-#if defined(_BIG_ENDIAN)
-	pt[0] = j;
-#else
+#if defined(__i386) || defined(__amd64)
 	ITOX(j, pt);
+#else
+	pt[0] = j;
 #endif
 	if (hx > 0)
 		x = y - (t - x);
